<?php
/**
 * Loader options
 *
 * @package Graduate Pro
 * @since Graduate Pro 1.0
 */

$wp_customize->add_section( 'graduate_pro_loader', array(
	'title'               => esc_html__('Loader','graduate-pro'),
	'description'         => esc_html__( 'Loader section options.', 'graduate-pro' ),
	'panel'               => 'graduate_pro_theme_options_panel'
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'graduate_pro_theme_options[loader_enable]', array(
	'sanitize_callback'   => 'graduate_pro_sanitize_checkbox',
	'default'             => $options['loader_enable']
) );

$wp_customize->add_control( 'graduate_pro_theme_options[loader_enable]', array(
	'label'               => esc_html__( 'Enable loader', 'graduate-pro' ),
	'section'             => 'graduate_pro_loader',
	'type'                => 'checkbox',
) );

// Loader icons setting and control.
$wp_customize->add_setting( 'graduate_pro_theme_options[loader_icon]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['loader_icon'],
) );

$wp_customize->add_control( 'graduate_pro_theme_options[loader_icon]', array(
	'label'           => esc_html__( 'Icon', 'graduate-pro' ),
	'description'     => sprintf( esc_html__( 'Example fa-refresh see more at %1$s Font awesome %2$s', 'graduate-pro' ), '<a target="_blank" href="' . esc_url( 'http://fontawesome.io/icons/' ) . '">', '</a>' ),
	'section'         => 'graduate_pro_loader',
	'active_callback' => 'graduate_pro_is_loader_enable',
) );