<?php
/**
* Typography options
*
* @package Graduate_Pro
* @since Graduate Pro 1.0
*/

$wp_customize->add_section( 'graduate_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'graduate-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'graduate_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'graduate_pro_theme_options[theme_header_typography]',
	array(
		'default'    		=> $options['theme_header_typography'],
		'sanitize_callback'	=> 'graduate_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'graduate_pro_theme_options[theme_header_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Header & Title Typography', 'graduate-pro' ),
		'section'     		=> 'graduate_pro_section_typography',
		'settings'    		=> 'graduate_pro_theme_options[theme_header_typography]',
		'type'		  		=> 'select',
		'choices'			=> graduate_pro_header_typography_options(),
    )
);

$wp_customize->add_setting( 'graduate_pro_theme_options[theme_typography]',
	array(
		'default'    		=> $options['theme_typography'],
		'sanitize_callback'	=> 'graduate_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'graduate_pro_theme_options[theme_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Body Typography', 'graduate-pro' ),
		'section'     		=> 'graduate_pro_section_typography',
		'settings'    		=> 'graduate_pro_theme_options[theme_typography]',
		'type'		  		=> 'select',
		'choices'			=> graduate_pro_typography_options(),
    )
);